Php 5.4 sorunu yaşayanlar !

PNT-Nuke sürümleri hakkında yaşanan sorunların ve yapılan paylaşımların yazıldığı bölüm

Moderatör: Moderatörler

Php 5.4 sorunu yaşayanlar !

Mesajgönderen Sonsuzluk » 2014/01/11 - 12:20

PNT Nuke v3 sürümünü php 5.4 phpmyadmin sürümünde çalıştıramayanlar aşağıdaki işlemi yapsınlar.



mainfile.php

Bul

Kod: Tümünü seç
 if ($phpver >= '4.0.4pl1' && isset($_SERVER['HTTP_USER_AGENT']) && strstr($_SERVER['HTTP_USER_AGENT'],'compatible')) {
 if (extension_loaded('zlib')) {
 @ob_end_clean();
 ob_start('ob_gzhandler');
 }
 } elseif ($phpver > '4.0' && isset($_SERVER['HTTP_ACCEPT_ENCODING']) && !empty($_SERVER['HTTP_ACCEPT_ENCODING'])) {
 if (strstr($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip')) {
 if (extension_loaded('zlib')) {
 $do_gzip_compress = true;
 ob_start(array('ob_gzhandler',5));
 ob_implicit_flush(0);
 if (strstr($_SERVER['HTTP_USER_AGENT'], 'MSIE')) {
 header('Content-Encoding: gzip');
 }
 }
 }
 }
 
 if (!@ini_get('register_globals')) {
 @import_request_variables('GPC', '');
 }
 


Değiştir

Kod: Tümünü seç
 

 if (isset($_SERVER['HTTP_ACCEPT_ENCODING']) && strpos($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip') !== false && @extension_loaded('zlib') && !headers_sent()) {
   ob_start('ob_gzhandler');
   ob_implicit_flush(0);
 }
 
 if (@ini_get('date.timezone') == '') {
   date_default_timezone_set("Europe/Istanbul");
 }
 
 if (!@ini_get('register_globals')) {
   extract($_GET, EXTR_SKIP);
   extract($_POST, EXTR_SKIP);
   extract($_COOKIE, EXTR_SKIP);
 }
 


kaydet ve gönder.

Başka bir sorun yaşarsanız php 5.4 ile ilgili bu başlık altından bildirin o sorunada çözüm bulayım.Php 5.4 harici sorunlarınızı bu başlığa yazmayın yanlız :)
Tarih Hayal Edenleri Değil,Gerçekleştirenleri Yazar !

NOT : Özel mesajla veya farklı yollar ile bana verdiğiniz admin paneli, ftp, phpmyadmin, cpanel, pleskpanel, direckpanel (v.b.) gibi size özel yerlerin kullanıcı adı ve şifrelerini ben sorunu çözüp size teslim ettikten sonra lütfen değiştirin. Aksi taktirde hiçbir sorumluluk kabul etmiyorum.
Administrator
Kullanıcı avatarı
Mesajlar: 2350
Kayıt: 2011/07/10 - 00:00
Konum: Samsun
Ettiği teşekkür: 1
Aldığı teşekkür: 94


Re: Php 5.4 sorunu yaşayanlar !

Mesajgönderen AsiKRAL » 2014/01/11 - 12:46

eyvallah ibrahim emegine saglık
Yeni Üye
Kullanıcı avatarı
Mesajlar: 46
Kayıt: 2011/08/07 - 00:00
Konum: kars
Ettiği teşekkür: 0
Aldığı teşekkür: 0

Re: Php 5.4 sorunu yaşayanlar !

Mesajgönderen hafiz » 2014/01/11 - 14:02

allah razı olsun ibrahim normal nukeden önce güncelledin
Kula Bela Gelmez Hak Yazmadıkça
Hak Yazmaz Kul Azmadıkça

http://www.imamlarinsesi.com/
PNT Üye
Kullanıcı avatarı
Mesajlar: 994
Kayıt: 2011/08/12 - 00:00
Konum: AfYoNkArAhİsAr
Ettiği teşekkür: 15
Aldığı teşekkür: 32

Re: Php 5.4 sorunu yaşayanlar !

Mesajgönderen Sonsuzluk » 2014/02/13 - 23:48

Aşağıdaki hatayı alanlar şu işlemi yapsınlar

Kod: Tümünü seç
Strict Standards: Resource ID#11 used as offset, casting to integer (11) in /home/kenanogl/public_html/db/mysql.php




db/mysql.php

bul

Kod: Tümünü seç
if($query_id)
      {
         $this->row[$query_id] = @mysql_fetch_array($query_id);
         return $this->row[$query_id];
      }
      else
      {
         return false;
      }


değiştir

Kod: Tümünü seç
if ( $query_id )  {
     $q_id = $query_id [ 0 ];
     $this -> row [ $q_id ]  =  @mysql_fetch_array ( $query_id );
     return $this -> row [ $q_id ];
}  else  {
     return  false ;
}


kaydet ve gönder
Tarih Hayal Edenleri Değil,Gerçekleştirenleri Yazar !

NOT : Özel mesajla veya farklı yollar ile bana verdiğiniz admin paneli, ftp, phpmyadmin, cpanel, pleskpanel, direckpanel (v.b.) gibi size özel yerlerin kullanıcı adı ve şifrelerini ben sorunu çözüp size teslim ettikten sonra lütfen değiştirin. Aksi taktirde hiçbir sorumluluk kabul etmiyorum.
Administrator
Kullanıcı avatarı
Mesajlar: 2350
Kayıt: 2011/07/10 - 00:00
Konum: Samsun
Ettiği teşekkür: 1
Aldığı teşekkür: 94

Re: Php 5.4 sorunu yaşayanlar !

Mesajgönderen yokusbasi » 2014/02/14 - 00:03

İbrahim Eline Sağlık. Şimdi Düzeldi.
Yeni Üye
Kullanıcı avatarı
Mesajlar: 85
Kayıt: 2011/11/13 - 01:00
Konum: İstanbul
Ettiği teşekkür: 2
Aldığı teşekkür: 2

Re: Php 5.4 sorunu yaşayanlar !

Mesajgönderen hafiz » 2014/03/10 - 16:12

benimde düzeldi ama dil sorunu verdi
Kula Bela Gelmez Hak Yazmadıkça
Hak Yazmaz Kul Azmadıkça

http://www.imamlarinsesi.com/
PNT Üye
Kullanıcı avatarı
Mesajlar: 994
Kayıt: 2011/08/12 - 00:00
Konum: AfYoNkArAhİsAr
Ettiği teşekkür: 15
Aldığı teşekkür: 32

Re: Php 5.4 sorunu yaşayanlar !

Mesajgönderen Sonsuzluk » 2014/03/11 - 00:10

Dil Sorunu Yaşayanlar aşağıdaki işlemi yapsınlar



header.php (ana dizindeki - root)

bul

Kod: Tümünü seç
define('NUKE_HEADER', true);
require_once("mainfile.php");


değiştir

Kod: Tümünü seç
define('NUKE_HEADER', true);
require_once("mainfile.php");
header ('Content-type: text/html; charset=utf-8');


kaydet
Tarih Hayal Edenleri Değil,Gerçekleştirenleri Yazar !

NOT : Özel mesajla veya farklı yollar ile bana verdiğiniz admin paneli, ftp, phpmyadmin, cpanel, pleskpanel, direckpanel (v.b.) gibi size özel yerlerin kullanıcı adı ve şifrelerini ben sorunu çözüp size teslim ettikten sonra lütfen değiştirin. Aksi taktirde hiçbir sorumluluk kabul etmiyorum.
Administrator
Kullanıcı avatarı
Mesajlar: 2350
Kayıt: 2011/07/10 - 00:00
Konum: Samsun
Ettiği teşekkür: 1
Aldığı teşekkür: 94

Re: Php 5.4 sorunu yaşayanlar !

Mesajgönderen hafiz » 2014/03/17 - 17:38

allah razı olsun kardeş
Kula Bela Gelmez Hak Yazmadıkça
Hak Yazmaz Kul Azmadıkça

http://www.imamlarinsesi.com/
PNT Üye
Kullanıcı avatarı
Mesajlar: 994
Kayıt: 2011/08/12 - 00:00
Konum: AfYoNkArAhİsAr
Ettiği teşekkür: 15
Aldığı teşekkür: 32

Re: Php 5.4 sorunu yaşayanlar !

Mesajgönderen magarula » 2014/05/17 - 14:46

önce beyaz sayfa çıktı noteped'ile düzenleyerek bu dediğinizi yaptım fakat bu web sayfası kulanılamıyor dendi
Yeni Üye
Kullanıcı avatarı
Mesajlar: 46
Kayıt: 2013/12/08 - 12:53
Konum: elazığ
Ettiği teşekkür: 0
Aldığı teşekkür: 0

Re: Php 5.4 sorunu yaşayanlar !

Mesajgönderen Sonsuzluk » 2014/05/17 - 16:35

ekleme veya çıkartma yaparken bir hata yapmış olmalısınız burada kullanılan kodlar birkaç farklı sunucuda denendi hata vermiyor
Tarih Hayal Edenleri Değil,Gerçekleştirenleri Yazar !

NOT : Özel mesajla veya farklı yollar ile bana verdiğiniz admin paneli, ftp, phpmyadmin, cpanel, pleskpanel, direckpanel (v.b.) gibi size özel yerlerin kullanıcı adı ve şifrelerini ben sorunu çözüp size teslim ettikten sonra lütfen değiştirin. Aksi taktirde hiçbir sorumluluk kabul etmiyorum.
Administrator
Kullanıcı avatarı
Mesajlar: 2350
Kayıt: 2011/07/10 - 00:00
Konum: Samsun
Ettiği teşekkür: 1
Aldığı teşekkür: 94

Re: Php 5.4 sorunu yaşayanlar !

Mesajgönderen krexi » 2014/05/19 - 00:23

S.a Arkadaşlar öncelikle emeğinize sağlık çok güzel bir portal olmuş emeği geçen tüm arkadaşları kutlarım .Benim sorunumda aynı diğer arkadaşlar gibi kurulum öncesi kontrolde GPC Sihirli Tırnaklar: Açık: Kapalı olmasından kaynaklanıyor ve kurulum sonrasında beyaz sayfa çıkıyor malum php5.5 çıktı ve GPC 5.3 den sonraki sürümlerde kaldırıldı bu güzden güncelleme yapan hostlarda bu sürekli sorun oluyor. Sizden ricam bu güzel portalı php5.5 e uyarlayıp bu GPC Sihirli Tırnaklar kontrolünü devre dışı bırakacak şekilde ayarlarsanız sevinirim en son 2012 de PNT Nuke V3 yayınlanmış artık PNT Nuke V4 versiyonunda bu konuları dikkate alırsanız sevinirim yeni versiyonunuzu sabırsızlıkla bekliyorum
Saygılar iyi çalışmalar
Yeni Üye
Mesajlar: 1
Kayıt: 2014/03/15 - 01:15
Ettiği teşekkür: 0
Aldığı teşekkür: 0

Re: Php 5.4 sorunu yaşayanlar !

Mesajgönderen hafiz » 2014/05/21 - 23:50

arkadaşlar eğer şöyle bir hata alan olursa

Kod: Tümünü seç
Warning: ob_start(): output handler 'ob_gzhandler' conflicts with 'zlib output compression' in /home/hocalarm/public_html/mainfile.php on line 69


mainfile.php dosyasındaki 69 satırda bulunan ob_gzhandler ' in başına @ koyun, yani @ob_gzhandler şeklinde olsun hatanın gittiğini göreceksiniz

Kaynak:(Sonsuzluk)
Kula Bela Gelmez Hak Yazmadıkça
Hak Yazmaz Kul Azmadıkça

http://www.imamlarinsesi.com/
PNT Üye
Kullanıcı avatarı
Mesajlar: 994
Kayıt: 2011/08/12 - 00:00
Konum: AfYoNkArAhİsAr
Ettiği teşekkür: 15
Aldığı teşekkür: 32

Re: Php 5.4 sorunu yaşayanlar !

Mesajgönderen magarula » 2014/05/22 - 21:11

hafiz yazdı:arkadaşlar eğer şöyle bir hata alan olursa

Kod: Tümünü seç
Warning: ob_start(): output handler 'ob_gzhandler' conflicts with 'zlib output compression' in /home/hocalarm/public_html/mainfile.php on line 69


mainfile.php dosyasındaki 69 satırda bulunan ob_gzhandler ' in başına @ koyun, yani @ob_gzhandler şeklinde olsun hatanın gittiğini göreceksiniz

Kaynak:(Sonsuzluk)

kurulum yapılanda bir sorun yok kurulum bitip install klasörönü siliyorum fakat admin panele veya siteye girmek istediğimde beyaz sayfa çıkıyor herhangi bir sorun belirtilmiyor
Yeni Üye
Kullanıcı avatarı
Mesajlar: 46
Kayıt: 2013/12/08 - 12:53
Konum: elazığ
Ettiği teşekkür: 0
Aldığı teşekkür: 0

Re: Php 5.4 sorunu yaşayanlar !

Mesajgönderen Sonsuzluk » 2014/05/23 - 08:27

beyaz sayfadaki sorunun php 5.4 ile alakalı olabileceğini sanmıyorum neden derseniz;

hafız arkadaşımız sitesi olan http://hocalarmuftulugu.gov.tr ' in sürümüde php 5.4 ama sorunsuz bir şekilde çalışıyor.Bence serverin yani hosting sahibinin bazı yasaklamaları buna neden oluyor tabi bu tahmin.

@magarula arkadaşım senin verdiğin ftp bilgilerine göre ben sitene install dosyasını attım sadece ilk kurulumdaki kurulum sihirbazının bizi uyardığı bölümde bazı bölümler sizde sıkıntılı görünüyor şimdi böyle bir durumda yani o kısımlar olumsuz iken uğraşmamız zor olur çünkü aklımız orda kalacak acaba onlarmı engel oluyor diye.

Şimdi sizden istediğim şu olumsuz yerleri server sahibi ile görüşüp olumlu hale getirin sonra sorun devam ederse bir çözüm arayalım

Resim
Tarih Hayal Edenleri Değil,Gerçekleştirenleri Yazar !

NOT : Özel mesajla veya farklı yollar ile bana verdiğiniz admin paneli, ftp, phpmyadmin, cpanel, pleskpanel, direckpanel (v.b.) gibi size özel yerlerin kullanıcı adı ve şifrelerini ben sorunu çözüp size teslim ettikten sonra lütfen değiştirin. Aksi taktirde hiçbir sorumluluk kabul etmiyorum.
Administrator
Kullanıcı avatarı
Mesajlar: 2350
Kayıt: 2011/07/10 - 00:00
Konum: Samsun
Ettiği teşekkür: 1
Aldığı teşekkür: 94

Re: Php 5.4 sorunu yaşayanlar !

Mesajgönderen okngny » 2014/05/26 - 01:39

Sonsuzluk yazdı:PNT Nuke v3 sürümünü php 5.4 phpmyadmin sürümünde çalıştıramayanlar aşağıdaki işlemi yapsınlar.



mainfile.php

Bul

Kod: Tümünü seç
 if ($phpver >= '4.0.4pl1' && isset($_SERVER['HTTP_USER_AGENT']) && strstr($_SERVER['HTTP_USER_AGENT'],'compatible')) {
 if (extension_loaded('zlib')) {
 @ob_end_clean();
 ob_start('ob_gzhandler');
 }
 } elseif ($phpver > '4.0' && isset($_SERVER['HTTP_ACCEPT_ENCODING']) && !empty($_SERVER['HTTP_ACCEPT_ENCODING'])) {
 if (strstr($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip')) {
 if (extension_loaded('zlib')) {
 $do_gzip_compress = true;
 ob_start(array('ob_gzhandler',5));
 ob_implicit_flush(0);
 if (strstr($_SERVER['HTTP_USER_AGENT'], 'MSIE')) {
 header('Content-Encoding: gzip');
 }
 }
 }
 }
 
 if (!@ini_get('register_globals')) {
 @import_request_variables('GPC', '');
 }
 


Değiştir

Kod: Tümünü seç
 

 if (isset($_SERVER['HTTP_ACCEPT_ENCODING']) && strpos($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip') !== false && @extension_loaded('zlib') && !headers_sent()) {
   ob_start('ob_gzhandler');
   ob_implicit_flush(0);
 }
 
 if (@ini_get('date.timezone') == '') {
   date_default_timezone_set("Europe/Istanbul");
 }
 
 if (!@ini_get('register_globals')) {
   extract($_GET, EXTR_SKIP);
   extract($_POST, EXTR_SKIP);
   extract($_COOKIE, EXTR_SKIP);
 }
 


kaydet ve gönder.

Başka bir sorun yaşarsanız php 5.4 ile ilgili bu başlık altından bildirin o sorunada çözüm bulayım.Php 5.4 harici sorunlarınızı bu başlığa yazmayın yanlız :)


Uyarmak istedim :

extract() işlevini kullanıcı girdisi ($_GET, $_FILES, vb.) gibi güvenilmez veriler üzerinde kullanmayın. Aksi takdirde, örneğin, register_globals yönergesinin 'On' olmasını gerektiren eski kodları geçici olarak çalıştırmak isterseniz EXTR_SKIP gibi üste yazmayan çıkarım_türü değerlerini kullanmaya ve php.ini dosyasındaki variables_order yönergesinde tanımlı sırada çıkartmaya çalışın.

Bknz : http://tr1.php.net/extract

Bunun yeine süper global kullanabilirsiniz, biraz dünzenleme ile sitenizi 5.4 ve üstü sürümüne uygun hale getirebilirsiniz.
Yeni Üye
Kullanıcı avatarı
Mesajlar: 149
Kayıt: 2011/10/10 - 00:00
Ettiği teşekkür: 0
Aldığı teşekkür: 1


Sonraki

Dön PNT Nuke

Kimler çevrimiçi

Bu forumu gezen kullanıcılar: Hiç bir kayıtlı kullanıcı yok ve 0 misafir